# Gimp.param_spec_path

    function param_spec_path(name: String, nick: String, blurb: String, none_ok: Boolean, flags: GObject.ParamFlags): GObject.ParamSpec {
        // Gjs wrapper for gimp_param_spec_path()
    }

Creates a new #GimpParamSpecPath specifying a [type@Path] property.

See g_param_spec_internal() for details on property names.

Since 3.0

name

  Canonical name of the property specified.

nick

  Nick name of the property specified.

blurb

  Description of the property specified.

none_ok

  Whether no is a valid value.

flags

  Flags for the property specified.

Returns

  The newly created #GimpParamSpecPath.